devel/lld - The NetBSD Packages Collection

The LLVM Linker

LLD is a linker from the LLVM project that is a drop-in replacement for
system linkers and runs much faster than them. It also provides features
that are useful for toolchain developers.

The linker supports ELF (Unix), PE/COFF (Windows), Mach-O (macOS) and
WebAssembly in descending order of completeness. Internally, LLD
consists of several different linkers. The PE/COFF port is complete,
including Windows debug info (PDB) support. The WebAssembly port is
still a work in progress (See WebAssembly lld port). The Mach-O port is
built based on a different architecture than the others. For the details
about Mach-O, please read ATOM-based lld.

Build dependencies

lang/python311 lang/python311 devel/cmake pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

lang/llvm lang/libunwind

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64lld-15.0.7nb2.tgz
NetBSD 10.0aarch64lld-15.0.7nb1.tgz
NetBSD 10.0aarch64eblld-15.0.7nb2.tgz
NetBSD 10.0earmv6hflld-15.0.7nb1.tgz
NetBSD 10.0earmv6hflld-15.0.7nb2.tgz
NetBSD 10.0earmv7hflld-15.0.7nb2.tgz
NetBSD 10.0earmv7hflld-15.0.7nb1.tgz
NetBSD 10.0i386lld-15.0.7nb2.tgz
NetBSD 10.0_BETAx86_64lld-15.0.7nb2.tgz
NetBSD 8.0i386lld-15.0.7nb1.tgz
NetBSD 8.0powerpclld-15.0.7.tgz
NetBSD 8.0x86_64lld-15.0.7nb2.tgz
NetBSD 8.0x86_64lld-15.0.7nb1.tgz
NetBSD 8.0x86_64lld-15.0.7nb1.tgz
NetBSD 9.0aarch64lld-15.0.7nb2.tgz
NetBSD 9.0aarch64lld-15.0.7nb1.tgz
NetBSD 9.0aarch64lld-15.0.7nb1.tgz
NetBSD 9.0earmv7hflld-15.0.7nb2.tgz
NetBSD 9.0earmv7hflld-15.0.7nb1.tgz
NetBSD 9.0earmv7hflld-15.0.7nb1.tgz
NetBSD 9.0i386lld-15.0.7nb2.tgz
NetBSD 9.0i386lld-15.0.7nb1.tgz
NetBSD 9.0i386lld-15.0.7nb1.tgz
NetBSD 9.0powerpclld-15.0.7nb1.tgz
NetBSD 9.0powerpclld-15.0.7nb1.tgz
NetBSD 9.0sparc64lld-15.0.7nb1.tgz
NetBSD 9.0x86_64lld-15.0.7nb2.tgz
NetBSD 9.0x86_64lld-15.0.7nb1.tgz
NetBSD 9.0x86_64lld-15.0.7nb1.tgz
NetBSD 9.3x86_64lld-15.0.7nb1.tgz
NetBSD 9.3x86_64lld-15.0.7nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

tests
Build and install tests.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.